#include<bits/stdc++.h>
using namespace std;
#define ll long long
vector<ll>v;
int main()
{
    ll a,b,ans,i,j,cur,tur,pos;
    cin>>a>>b;
    cur=a-1;
    tur=b+cur;
    pos=b-cur;
    for(i=pos;i<=b;i++){
        v.push_back(i);
    }
    for(i=b+1;i<=tur;i++)
        v.push_back(i);
    ll len=v.size();
    for(i=0;i<len;i++){
        if(i==0)cout<<v[i];
        else cout<<" "<<v[i];
    }
}
